gnome-software crashed with SIGSEGV in gtk_stack_set_visible_child_name → get_installed_updates_cb → g_task_return_now → complete_in_idle_cb → g_main_dispatch

Bug #1724188 reported by Andrew Diete on 2017-10-17
56
This bug affects 7 people
Affects Status Importance Assigned to Milestone
GNOME Software
Expired
Medium
gnome-software (Ubuntu)
High
Robert Ancell
Bionic
High
Unassigned

Bug Description

crash pop up.

ProblemType: Crash
DistroRelease: Ubuntu 17.10
Package: gnome-software 3.26.1-0ubuntu1
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Uname: Linux 4.13.0-16-generic x86_64
ApportVersion: 2.20.7-0ubuntu3
Architecture: amd64
CurrentDesktop: GNOME-Classic:GNOME
Date: Tue Oct 17 19:53:45 2017
ExecutablePath: /usr/bin/gnome-software
InstallationDate: Installed on 2017-04-09 (191 days ago)
InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64 (20161012.2)
InstalledPlugins:
 gnome-software-plugin-flatpak N/A
 gnome-software-plugin-limba N/A
 gnome-software-plugin-snap 3.26.1-0ubuntu1
JournalErrors:
 Error: command ['journalctl', '-b', '--priority=warning', '--lines=1000'] failed with exit code 1: Hint: You are currently not seeing messages from other users and the system.
       Users in the 'systemd-journal' group can see all messages. Pass -q to
       turn off this notice.
 No journal files were opened due to insufficient permissions.
ProcCmdline: /usr/bin/gnome-software --gapplication-service
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
SegvAnalysis:
 Segfault happened at: 0x7faf066c02c7 <gtk_stack_set_visible_child_name+7>: mov 0x30(%rdi,%rax,1),%edx
 PC (0x7faf066c02c7) ok
 source "0x30(%rdi,%rax,1)" (0xfffffffffffffe80) not located in a known VMA region (needed readable region)!
 destination "%edx" ok
SegvReason: reading unknown VMA
Signal: 11
SourcePackage: gnome-software
StacktraceTop:
 gtk_stack_set_visible_child_name () at /usr/lib/x86_64-linux-gnu/libgtk-3.so.0
 ()
 () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
Title: gnome-software crashed with SIGSEGV in gtk_stack_set_visible_child_name()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Andrew Diete (adiete-adiete) wrote :

StacktraceTop:
 gtk_stack_set_visible_child_name (stack=0x0, name=name@entry=0x55964791052b "installed-updates-list") at ././gtk/gtkstack.c:1839
 get_installed_updates_cb (plugin_loader=<optimized out>, res=<optimized out>, dialog=0x55964b152330) at ../src/gs-update-dialog.c:262
 g_task_return_now (task=0x55964b158600) at ../../../../gio/gtask.c:1145
 complete_in_idle_cb (task=0x55964b158600) at ../../../../gio/gtask.c:1159
 g_main_dispatch (context=0x5596480a85d0) at ../../../../glib/gmain.c:3148

Changed in gnome-software (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public
Changed in gnome-software (Ubuntu):
importance: Medium → High
status: New → Triaged
Changed in gnome-software:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in gnome-software:
status: Confirmed → Expired
summary: - gnome-software crashed with SIGSEGV in
- gtk_stack_set_visible_child_name()
+ gnome-software crashed with SIGSEGV in gtk_stack_set_visible_child_name
+ → get_installed_updates_cb → g_task_return_now → complete_in_idle_cb →
+ g_main_dispatch
tags: added: bionic

<email address hidden>

2018-04-17 17:30 GMT+02:00 Apport retracing service <
<email address hidden>>:

> ** Tags added: bionic
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1729944).
> https://bugs.launchpad.net/bugs/1724188
>
> Title:
> gnome-software crashed with SIGSEGV in
> gtk_stack_set_visible_child_name → get_installed_updates_cb →
> g_task_return_now → complete_in_idle_cb → g_main_dispatch
>
> Status in GNOME Software:
> Expired
> Status in gnome-software package in Ubuntu:
> Triaged
>
> Bug description:
> crash pop up.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 17.10
> Package: gnome-software 3.26.1-0ubuntu1
> ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
> Uname: Linux 4.13.0-16-generic x86_64
> ApportVersion: 2.20.7-0ubuntu3
> Architecture: amd64
> CurrentDesktop: GNOME-Classic:GNOME
> Date: Tue Oct 17 19:53:45 2017
> ExecutablePath: /usr/bin/gnome-software
> InstallationDate: Installed on 2017-04-09 (191 days ago)
> InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Release amd64
> (20161012.2)
> InstalledPlugins:
> gnome-software-plugin-flatpak N/A
> gnome-software-plugin-limba N/A
> gnome-software-plugin-snap 3.26.1-0ubuntu1
> JournalErrors:
> Error: command ['journalctl', '-b', '--priority=warning',
> '--lines=1000'] failed with exit code 1: Hint: You are currently not seeing
> messages from other users and the system.
> Users in the 'systemd-journal' group can see all messages. Pass
> -q to
> turn off this notice.
> No journal files were opened due to insufficient permissions.
> ProcCmdline: /usr/bin/gnome-software --gapplication-service
> ProcEnviron:
> LANGUAGE=en_AU:en
> PATH=(custom, no user)
> XDG_RUNTIME_DIR=<set>
> LANG=en_AU.UTF-8
> SHELL=/bin/bash
> SegvAnalysis:
> Segfault happened at: 0x7faf066c02c7 <gtk_stack_set_visible_child_name+7>:
> mov 0x30(%rdi,%rax,1),%edx
> PC (0x7faf066c02c7) ok
> source "0x30(%rdi,%rax,1)" (0xfffffffffffffe80) not located in a known
> VMA region (needed readable region)!
> destination "%edx" ok
> SegvReason: reading unknown VMA
> Signal: 11
> SourcePackage: gnome-software
> StacktraceTop:
> gtk_stack_set_visible_child_name () at /usr/lib/x86_64-linux-gnu/
> libgtk-3.so.0
> ()
> () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
> () at /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
> g_main_context_dispatch () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
> Title: gnome-software crashed with SIGSEGV in
> gtk_stack_set_visible_child_name()
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups:
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gnome-software/+bug/1724188/+subscriptions
>

tags: added: rls-cc-incoming
Changed in gnome-software (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Ken VanDine (ken-vandine) wrote :
Changed in gnome-software (Ubuntu):
assignee: Ken VanDine (ken-vandine) → Robert Ancell (robert-ancell)
Changed in gnome-software (Ubuntu Bionic):
importance: Undecided → High
assignee: nobody → Robert Ancell (robert-ancell)
status: New → Triaged
tags: removed: rls-cc-incoming
Robert Ancell (robert-ancell) wrote :

The particular code path only occurs when gnome-software is run with --mode=updated.

Robert Ancell (robert-ancell) wrote :

This mode is triggered when following an update notification.

Robert Ancell (robert-ancell) wrote :

The crash occurs when getting historical updates and suggests the dialog was closed before this happened. The only plugin that provides these in Ubuntu is the fwupd one, so I suspect that's either not correctly handling a cancel request when the dialog is closed or GNOME Software is not generating the correct canceled error.

Robert Ancell (robert-ancell) wrote :

errors.ubuntu.com shows this as the current #10 crash in gnome-software.

While there is a bug here, I'm not able to reproduce it and I don't think it's a high priority to fix.

The likely trigger is a user is prompted for updates through a notification, they click on it to see the updates dialog and then close that before it has got the historical update information. This causes GNOME Software to crash, but given they closed the dialog this is probably not a big problem. It would launch again when they next tried to use it.

If the cause is eventually found, this is a good candidate to cherry pick back to the version of GNOME Software in bionic.

Closing the bionic task as "Won't Fix".

Changed in gnome-software (Ubuntu Bionic):
status: Triaged → Won't Fix
assignee: Robert Ancell (robert-ancell) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.